> For the complete documentation index, see [llms.txt](https://docs.defguard.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defguard.net/for-developers/rest-api/core/settings/get-settings-required-to-render-the-web-ui.md).

# Get settings required to render the web UI

Public endpoint. Returns only non-sensitive settings.

```json
{"openapi":"3.1.0","info":{"title":"defguard Core API","version":"2.0.3"},"tags":[{"name":"settings","description":"Instance and enterprise settings."}],"paths":{"/api/v1/settings_essentials":{"get":{"tags":["settings"],"summary":"Get settings required to render the web UI","description":"Public endpoint. Returns only non-sensitive settings.","operationId":"get_settings_essentials","responses":{"200":{"description":"Essential settings.","content":{"application/json":{"schema":{"type":"object"}}}},"500":{"description":"Unable to get essential settings.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}},"components":{"schemas":{"ApiErrorResponse":{"type":"object","description":"Body returned with error responses.","required":["msg"],"properties":{"code":{"type":["string","null"],"description":"Machine-readable error code, returned for selected errors."},"msg":{"type":"string","description":"Human-readable error message."}}}}}}
```
